Index: trunk/doc/Flair/search/all_6.js
===================================================================
--- trunk/doc/Flair/search/all_6.js	(revision 44)
+++ trunk/doc/Flair/search/all_6.js	(revision 47)
@@ -70,4 +70,5 @@
   ['getlocation',['getLocation',['http://qt-project.org/doc/qt-4.8/q3mainwindow.html#getLocation',0,'Q3MainWindow']]],
   ['getlogarithm',['GetLogarithm',['../classflair_1_1core_1_1_quaternion.html#a8ddb69a52a35d36146fee38efb6336d2',1,'flair::core::Quaternion::GetLogarithm(Vector3D &amp;logarithm)'],['../classflair_1_1core_1_1_quaternion.html#a6a9b3279a79620aea9a3f9ab67eec245',1,'flair::core::Quaternion::GetLogarithm(void)']]],
+  ['getlogpath',['GetLogPath',['../classflair_1_1core_1_1_framework_manager.html#a4e7363801f1df89e51fd9c173e196673',1,'flair::core::FrameworkManager']]],
   ['getmarkedregion',['getMarkedRegion',['http://qt-project.org/doc/qt-4.8/q3multilineedit.html#getMarkedRegion',0,'Q3MultiLineEdit']]],
   ['getmutex',['GetMutex',['../classflair_1_1gui_1_1_box.html#a72d33c20718419d566e198840318e22f',1,'flair::gui::Box::GetMutex()'],['../classflair_1_1core_1_1_mutex.html#a225fbd364b794d698b1c7d8c6962492b',1,'flair::core::Mutex::GetMutex()']]],
@@ -109,6 +110,8 @@
   ['gettextmargins',['getTextMargins',['http://qt-project.org/doc/qt-4.8/qlineedit.html#getTextMargins',0,'QLineEdit']]],
   ['gettime',['GetTime',['../namespaceflair_1_1core.html#a63b4b9f532f414a0e0023acaf81f845e',1,'flair::core']]],
+  ['getuav',['GetUav',['../namespaceflair_1_1meta.html#a25c35970b8786dd95240a48119065b69',1,'flair::meta']]],
   ['getvelocity',['GetVelocity',['../classflair_1_1core_1_1_gps_data.html#ad1a9ba4c575e7b9e24a9b9f0e68a61c5',1,'flair::core::GpsData']]],
   ['getvoltage',['GetVoltage',['../classflair_1_1sensor_1_1_battery_monitor.html#aaa0c9ae84cba9a3724f1c35ac61791f2',1,'flair::sensor::BatteryMonitor']]],
+  ['getvrpnclient',['GetVrpnClient',['../namespaceflair_1_1sensor.html#a96c531aa24e6dd95ac9dc400d8e52b2c',1,'flair::sensor']]],
   ['getwidgetposition',['getWidgetPosition',['http://qt-project.org/doc/qt-4.8/qformlayout.html#getWidgetPosition',0,'QFormLayout']]],
   ['getwindowframemargins',['getWindowFrameMargins',['http://qt-project.org/doc/qt-4.8/qgraphicswidget.html#getWindowFrameMargins',0,'QGraphicsWidget']]],
@@ -224,6 +227,6 @@
   ['glyphindexesforchars',['glyphIndexesForChars',['http://qt-project.org/doc/qt-4.8/qrawfont.html#glyphIndexesForChars',0,'QRawFont']]],
   ['glyphindexesforstring',['glyphIndexesForString',['http://qt-project.org/doc/qt-4.8/qrawfont.html#glyphIndexesForString',0,'QRawFont']]],
+  ['glyphmetrics',['glyphMetrics',['http://qt-project.org/doc/qt-4.8/qabstractfontengine.html#glyphMetrics',0,'QAbstractFontEngine::glyphMetrics()'],['http://qt-project.org/doc/qt-4.8/qabstractfontengine-glyphmetrics.html#GlyphMetrics',0,'QAbstractFontEngine::GlyphMetrics::GlyphMetrics()']]],
   ['glyphmetrics',['GlyphMetrics',['http://qt-project.org/doc/qt-4.8/qabstractfontengine-glyphmetrics.html',0,'QAbstractFontEngine']]],
-  ['glyphmetrics',['GlyphMetrics',['http://qt-project.org/doc/qt-4.8/qabstractfontengine-glyphmetrics.html#GlyphMetrics',0,'QAbstractFontEngine::GlyphMetrics::GlyphMetrics()'],['http://qt-project.org/doc/qt-4.8/qabstractfontengine.html#glyphMetrics',0,'QAbstractFontEngine::glyphMetrics()']]],
   ['glyphruns',['glyphRuns',['http://qt-project.org/doc/qt-4.8/qtextfragment.html#glyphRuns',0,'QTextFragment::glyphRuns()'],['http://qt-project.org/doc/qt-4.8/qtextlayout.html#glyphRuns',0,'QTextLayout::glyphRuns()']]],
   ['gotfocus',['gotFocus',['http://qt-project.org/doc/qt-4.8/qfocusevent.html#gotFocus',0,'QFocusEvent']]],
@@ -247,5 +250,5 @@
   ['graphicsitemflags',['GraphicsItemFlags',['http://qt-project.org/doc/qt-4.8/qgraphicsitem.html#GraphicsItemFlags-typedef',0,'QGraphicsItem']]],
   ['graphicsproxywidget',['graphicsProxyWidget',['http://qt-project.org/doc/qt-4.8/qwidget.html#graphicsProxyWidget',0,'QWidget']]],
-  ['gray',['GRAY',['../classflair_1_1core_1_1cvimage_1_1_type.html#abbfd16d91156a75d6ddbe7858aa8692fa48bf014c704c9eaae100a98006a37bf7',1,'flair::core::cvimage::Type']]],
+  ['gray',['Gray',['../classflair_1_1core_1_1cvimage_1_1_type.html#abbfd16d91156a75d6ddbe7858aa8692fa994ae1d9731cebe455aff211bcb25b93',1,'flair::core::cvimage::Type']]],
   ['greaterthan',['greaterThan',['http://qt-project.org/doc/qt-4.8/qurlinfo.html#greaterThan',0,'QUrlInfo']]],
   ['green',['Green',['../classflair_1_1gui_1_1_data_plot.html#a0e106271554ff92ebeb94d22014f037ea374b960f86add9651cc52c2989eca94f',1,'flair::gui::DataPlot::Green()'],['http://qt-project.org/doc/qt-4.8/qcolor.html#green',0,'QColor::green()']]],
@@ -255,6 +258,6 @@
   ['gres',['gres',['http://qt-project.org/doc/qt-4.8/qstringlist-qt3.html#gres',0,'QStringList::gres(const QRegExp &amp;rx, const QString &amp;after)'],['http://qt-project.org/doc/qt-4.8/qstringlist-qt3.html#gres-2',0,'QStringList::gres(const QString &amp;before, const QString &amp;after, bool cs)']]],
   ['grid',['grid',['http://qt-project.org/doc/qt-4.8/qdesignerformwindowinterface.html#grid',0,'QDesignerFormWindowInterface']]],
+  ['gridlayout',['GridLayout',['../classflair_1_1gui_1_1_grid_layout.html',1,'flair::gui']]],
   ['gridlayout',['GridLayout',['../classflair_1_1gui_1_1_grid_layout.html#a98b2efedd680c4ccf115943f20feba3a',1,'flair::gui::GridLayout']]],
-  ['gridlayout',['GridLayout',['../classflair_1_1gui_1_1_grid_layout.html',1,'flair::gui']]],
   ['gridlayout_2eh',['GridLayout.h',['../_grid_layout_8h.html',1,'']]],
   ['gridsize',['gridSize',['http://qt-project.org/doc/qt-4.8/qlistview.html#gridSize-prop',0,'QListView::gridSize()'],['http://qt-project.org/doc/qt-4.8/qlistview.html#gridSize-prop',0,'QListView::gridSize() const'],['http://qt-project.org/doc/qt-4.8/q3gridview.html#gridSize',0,'Q3GridView::gridSize()']]],
@@ -264,6 +267,6 @@
   ['gridy',['gridY',['http://qt-project.org/doc/qt-4.8/q3iconview.html#gridY-prop',0,'Q3IconView::gridY()'],['http://qt-project.org/doc/qt-4.8/q3iconview.html#gridY-prop',0,'Q3IconView::gridY() const']]],
   ['group',['group',['http://qt-project.org/doc/qt-4.8/qurlinfo.html#group',0,'QUrlInfo::group()'],['http://qt-project.org/doc/qt-4.8/qundoview.html#group',0,'QUndoView::group()'],['http://qt-project.org/doc/qt-4.8/qfileinfo.html#group',0,'QFileInfo::group()'],['http://qt-project.org/doc/qt-4.8/qabstractbutton.html#group',0,'QAbstractButton::group()'],['http://qt-project.org/doc/qt-4.8/qabstractanimation.html#group',0,'QAbstractAnimation::group()'],['http://qt-project.org/doc/qt-4.8/qgraphicsitem.html#group',0,'QGraphicsItem::group()'],['http://qt-project.org/doc/qt-4.8/qdesignercustomwidgetinterface.html#group',0,'QDesignerCustomWidgetInterface::group()'],['http://qt-project.org/doc/qt-4.8/qsettings.html#group',0,'QSettings::group()']]],
+  ['groupbox',['GroupBox',['../classflair_1_1gui_1_1_group_box.html#afdf8a52639dab292d16cffc286ad1036',1,'flair::gui::GroupBox']]],
   ['groupbox',['GroupBox',['../classflair_1_1gui_1_1_group_box.html',1,'flair::gui']]],
-  ['groupbox',['GroupBox',['../classflair_1_1gui_1_1_group_box.html#afdf8a52639dab292d16cffc286ad1036',1,'flair::gui::GroupBox']]],
   ['groupbox_2eh',['GroupBox.h',['../_group_box_8h.html',1,'']]],
   ['groupid',['groupId',['http://qt-project.org/doc/qt-4.8/qfileinfo.html#groupId',0,'QFileInfo']]],
@@ -274,6 +277,6 @@
   ['gx3_5f25_5fahrs',['Gx3_25_ahrs',['../classflair_1_1filter_1_1_gx3__25__ahrs.html#a81454973b37dea1c53e4da99635be4d5',1,'flair::filter::Gx3_25_ahrs']]],
   ['gx3_5f25_5fahrs_2eh',['Gx3_25_ahrs.h',['../_gx3__25__ahrs_8h.html',1,'']]],
+  ['gx3_5f25_5fimu',['Gx3_25_imu',['../classflair_1_1sensor_1_1_gx3__25__imu.html',1,'flair::sensor']]],
   ['gx3_5f25_5fimu',['Gx3_25_imu',['../classflair_1_1sensor_1_1_gx3__25__imu.html#aec8d507d7e0042553df667e6179c7558',1,'flair::sensor::Gx3_25_imu']]],
-  ['gx3_5f25_5fimu',['Gx3_25_imu',['../classflair_1_1sensor_1_1_gx3__25__imu.html',1,'flair::sensor']]],
   ['gx3_5f25_5fimu_2eh',['Gx3_25_imu.h',['../_gx3__25__imu_8h.html',1,'']]]
 ];
Index: trunk/doc/Flair/search/all_8.js
===================================================================
--- trunk/doc/Flair/search/all_8.js	(revision 44)
+++ trunk/doc/Flair/search/all_8.js	(revision 47)
@@ -563,5 +563,5 @@
   ['isrowstretchable',['isRowStretchable',['http://qt-project.org/doc/qt-4.8/q3table.html#isRowStretchable',0,'Q3Table']]],
   ['isrubberselecting',['isRubberSelecting',['http://qt-project.org/doc/qt-4.8/q3listbox.html#isRubberSelecting',0,'Q3ListBox']]],
-  ['isrunning',['IsRunning',['../classflair_1_1filter_1_1_trajectory_generator1_d.html#a1bae2d6c79641e21fba1c6c02424f7a2',1,'flair::filter::TrajectoryGenerator1D::IsRunning()'],['../classflair_1_1filter_1_1_trajectory_generator2_d_circle.html#aed8b6a1585bfdb6e65dcf7324a05f9e8',1,'flair::filter::TrajectoryGenerator2DCircle::IsRunning()'],['http://qt-project.org/doc/qt-4.8/qfuturewatcher.html#isRunning',0,'QFutureWatcher::isRunning()'],['http://qt-project.org/doc/qt-4.8/qfuture.html#isRunning',0,'QFuture::isRunning()'],['http://qt-project.org/doc/qt-4.8/qeventloop.html#isRunning',0,'QEventLoop::isRunning()'],['http://qt-project.org/doc/qt-4.8/q3process.html#isRunning',0,'Q3Process::isRunning()'],['http://qt-project.org/doc/qt-4.8/qstatemachine.html#isRunning',0,'QStateMachine::isRunning()'],['http://qt-project.org/doc/qt-4.8/qthread.html#isRunning',0,'QThread::isRunning()'],['http://qt-project.org/doc/qt-4.8/qnetworkreply.html#isRunning',0,'QNetworkReply::isRunning()']]],
+  ['isrunning',['isRunning',['http://qt-project.org/doc/qt-4.8/qfuturewatcher.html#isRunning',0,'QFutureWatcher::isRunning()'],['http://qt-project.org/doc/qt-4.8/qfuture.html#isRunning',0,'QFuture::isRunning()'],['http://qt-project.org/doc/qt-4.8/qeventloop.html#isRunning',0,'QEventLoop::isRunning()'],['http://qt-project.org/doc/qt-4.8/q3process.html#isRunning',0,'Q3Process::isRunning()'],['http://qt-project.org/doc/qt-4.8/qstatemachine.html#isRunning',0,'QStateMachine::isRunning()'],['http://qt-project.org/doc/qt-4.8/qthread.html#isRunning',0,'QThread::isRunning()'],['http://qt-project.org/doc/qt-4.8/qnetworkreply.html#isRunning',0,'QNetworkReply::isRunning()'],['../classflair_1_1filter_1_1_trajectory_generator1_d.html#a1bae2d6c79641e21fba1c6c02424f7a2',1,'flair::filter::TrajectoryGenerator1D::IsRunning()'],['../classflair_1_1filter_1_1_trajectory_generator2_d_circle.html#aed8b6a1585bfdb6e65dcf7324a05f9e8',1,'flair::filter::TrajectoryGenerator2DCircle::IsRunning()']]],
   ['isscalable',['isScalable',['http://qt-project.org/doc/qt-4.8/qfontdatabase.html#isScalable',0,'QFontDatabase']]],
   ['isscaling',['isScaling',['http://qt-project.org/doc/qt-4.8/qtransform.html#isScaling',0,'QTransform']]],
Index: trunk/doc/Flair/search/all_e.js
===================================================================
--- trunk/doc/Flair/search/all_e.js	(revision 44)
+++ trunk/doc/Flair/search/all_e.js	(revision 47)
@@ -9,5 +9,5 @@
   ['objectindex',['objectIndex',['http://qt-project.org/doc/qt-4.8/qtextobject.html#objectIndex',0,'QTextObject::objectIndex()'],['http://qt-project.org/doc/qt-4.8/qtextformat.html#objectIndex',0,'QTextFormat::objectIndex()']]],
   ['objectinspector',['objectInspector',['http://qt-project.org/doc/qt-4.8/qdesignerformeditorinterface.html#objectInspector',0,'QDesignerFormEditorInterface']]],
-  ['objectname',['objectName',['http://qt-project.org/doc/qt-4.8/qobject.html#objectName-prop',0,'QObject::objectName()'],['http://qt-project.org/doc/qt-4.8/qobject.html#objectName-prop',0,'QObject::objectName() const'],['../classflair_1_1core_1_1_object.html#a9b0344dff7e1c05424d9152c8274523a',1,'flair::core::Object::ObjectName()']]],
+  ['objectname',['ObjectName',['../classflair_1_1core_1_1_object.html#a9b0344dff7e1c05424d9152c8274523a',1,'flair::core::Object::ObjectName()'],['http://qt-project.org/doc/qt-4.8/qobject.html#objectName-prop',0,'QObject::objectName()'],['http://qt-project.org/doc/qt-4.8/qobject.html#objectName-prop',0,'QObject::objectName() const']]],
   ['objectownership',['objectOwnership',['http://qt-project.org/doc/qt-4.8/qdeclarativeengine.html#objectOwnership',0,'QDeclarativeEngine']]],
   ['objectregisteredat',['objectRegisteredAt',['http://qt-project.org/doc/qt-4.8/qdbusconnection.html#objectRegisteredAt',0,'QDBusConnection']]],
@@ -59,5 +59,5 @@
   ['openkeyboard',['openKeyboard',['http://qt-project.org/doc/qt-4.8/qwsserver.html#openKeyboard',0,'QWSServer']]],
   ['openlinks',['openLinks',['http://qt-project.org/doc/qt-4.8/qtextbrowser.html#openLinks-prop',0,'QTextBrowser::openLinks()'],['http://qt-project.org/doc/qt-4.8/qtextbrowser.html#openLinks-prop',0,'QTextBrowser::openLinks() const']]],
-  ['openmode',['openMode',['http://qt-project.org/doc/qt-4.8/qiodevice.html#openMode',0,'QIODevice::openMode() const'],['http://qt-project.org/doc/qt-4.8/qiodevice.html#OpenMode-typedef',0,'QIODevice::OpenMode()']]],
+  ['openmode',['OpenMode',['http://qt-project.org/doc/qt-4.8/qiodevice.html#OpenMode-typedef',0,'QIODevice::OpenMode()'],['http://qt-project.org/doc/qt-4.8/qiodevice.html#openMode',0,'QIODevice::openMode() const']]],
   ['openmouse',['openMouse',['http://qt-project.org/doc/qt-4.8/qwsserver.html#openMouse',0,'QWSServer']]],
   ['openpersistenteditor',['openPersistentEditor',['http://qt-project.org/doc/qt-4.8/qabstractitemview.html#openPersistentEditor',0,'QAbstractItemView::openPersistentEditor()'],['http://qt-project.org/doc/qt-4.8/qlistwidget.html#openPersistentEditor',0,'QListWidget::openPersistentEditor()'],['http://qt-project.org/doc/qt-4.8/qtablewidget.html#openPersistentEditor',0,'QTableWidget::openPersistentEditor()'],['http://qt-project.org/doc/qt-4.8/qtreewidget.html#openPersistentEditor',0,'QTreeWidget::openPersistentEditor()']]],
Index: trunk/doc/Flair/search/enums_7.js
===================================================================
--- trunk/doc/Flair/search/enums_7.js	(revision 47)
+++ trunk/doc/Flair/search/enums_7.js	(revision 47)
@@ -0,0 +1,4 @@
+var searchData=
+[
+  ['uavtype_5ft',['UavType_t',['../classflair_1_1filter_1_1_x4_x8_multiplex.html#ae7be46c8a6e49d2b53a733416cfd0fcb',1,'flair::filter::X4X8Multiplex']]]
+];
Index: trunk/doc/Flair/search/enumvalues_14.js
===================================================================
--- trunk/doc/Flair/search/enumvalues_14.js	(revision 47)
+++ trunk/doc/Flair/search/enumvalues_14.js	(revision 47)
@@ -0,0 +1,7 @@
+var searchData=
+[
+  ['yaw',['Yaw',['../classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfeaacc98a52fd3a118df2369ceacfe42e80',1,'flair::core::AhrsData']]],
+  ['yawdeg',['YawDeg',['../classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfea36d7aef4c89906df6c51376607cb3d26',1,'flair::core::AhrsData']]],
+  ['yellow',['Yellow',['../classflair_1_1gui_1_1_data_plot.html#a0e106271554ff92ebeb94d22014f037ea8369a2a569c95d6c7e15632a6e4d3998',1,'flair::gui::DataPlot']]],
+  ['yuyv',['YUYV',['../classflair_1_1core_1_1cvimage_1_1_type.html#abbfd16d91156a75d6ddbe7858aa8692fa52c8796e733cb603dc16270c874e91d7',1,'flair::core::cvimage::Type']]]
+];
Index: trunk/doc/Flair/search/enumvalues_5.js
===================================================================
--- trunk/doc/Flair/search/enumvalues_5.js	(revision 44)
+++ trunk/doc/Flair/search/enumvalues_5.js	(revision 47)
@@ -3,5 +3,5 @@
   ['gga',['GGA',['../classflair_1_1sensor_1_1_nmea_gps.html#af0d7d39483f1e76e5dda4cb10dc8a967a9e0b10859022dd72f4764d3d94d2cb07',1,'flair::sensor::NmeaGps']]],
   ['gps',['Gps',['../classflair_1_1core_1_1_gps_data.html#afb181594acc39c15c07e5ed5801021b6a06960407a35b206422d40932f13c8d91',1,'flair::core::GpsData']]],
-  ['gray',['GRAY',['../classflair_1_1core_1_1cvimage_1_1_type.html#abbfd16d91156a75d6ddbe7858aa8692fa48bf014c704c9eaae100a98006a37bf7',1,'flair::core::cvimage::Type']]],
+  ['gray',['Gray',['../classflair_1_1core_1_1cvimage_1_1_type.html#abbfd16d91156a75d6ddbe7858aa8692fa994ae1d9731cebe455aff211bcb25b93',1,'flair::core::cvimage::Type']]],
   ['green',['Green',['../classflair_1_1gui_1_1_data_plot.html#a0e106271554ff92ebeb94d22014f037ea374b960f86add9651cc52c2989eca94f',1,'flair::gui::DataPlot']]],
   ['gst',['GST',['../classflair_1_1sensor_1_1_nmea_gps.html#af0d7d39483f1e76e5dda4cb10dc8a967a2b53bb8929c7571fc2ead192d23aaa7e',1,'flair::sensor::NmeaGps']]]
Index: trunk/doc/Flair/search/functions_13.js
===================================================================
--- trunk/doc/Flair/search/functions_13.js	(revision 44)
+++ trunk/doc/Flair/search/functions_13.js	(revision 47)
@@ -88,5 +88,5 @@
   ['textdirection',['textDirection',['http://qt-project.org/doc/qt-4.8/qtextblock.html#textDirection',0,'QTextBlock::textDirection()'],['http://qt-project.org/doc/qt-4.8/qtextoption.html#textDirection',0,'QTextOption::textDirection()'],['http://qt-project.org/doc/qt-4.8/qprogressbar.html#textDirection-prop',0,'QProgressBar::textDirection()'],['http://qt-project.org/doc/qt-4.8/qprogressbar.html#textDirection-prop',0,'QProgressBar::textDirection() const'],['http://qt-project.org/doc/qt-4.8/qlocale.html#textDirection',0,'QLocale::textDirection()'],['http://qt-project.org/doc/qt-4.8/qtextinlineobject.html#textDirection',0,'QTextInlineObject::textDirection()']]],
   ['textechomode',['textEchoMode',['http://qt-project.org/doc/qt-4.8/qinputdialog.html#textEchoMode-prop',0,'QInputDialog']]],
-  ['textedit',['TextEdit',['../classflair_1_1gui_1_1_text_edit.html#acfd19e80797f61337a769ccc642d18fa',1,'flair::gui::TextEdit::TextEdit()'],['http://qt-project.org/doc/qt-4.8/q3syntaxhighlighter.html#textEdit',0,'Q3SyntaxHighlighter::textEdit()']]],
+  ['textedit',['textEdit',['http://qt-project.org/doc/qt-4.8/q3syntaxhighlighter.html#textEdit',0,'Q3SyntaxHighlighter::textEdit()'],['../classflair_1_1gui_1_1_text_edit.html#acfd19e80797f61337a769ccc642d18fa',1,'flair::gui::TextEdit::TextEdit()']]],
   ['textedited',['textEdited',['http://qt-project.org/doc/qt-4.8/qlineedit.html#textEdited',0,'QLineEdit']]],
   ['textelidemode',['textElideMode',['http://qt-project.org/doc/qt-4.8/qabstractitemview.html#textElideMode-prop',0,'QAbstractItemView']]],
Index: trunk/doc/Flair/search/functions_15.js
===================================================================
--- trunk/doc/Flair/search/functions_15.js	(revision 44)
+++ trunk/doc/Flair/search/functions_15.js	(revision 47)
@@ -101,6 +101,6 @@
   ['volumedecibel',['volumeDecibel',['http://qt-project.org/doc/qt-4.8/phonon-audiooutput.html#volumeDecibel-prop',0,'Phonon::AudioOutput']]],
   ['volumeslider',['VolumeSlider',['http://qt-project.org/doc/qt-4.8/phonon-volumeslider.html#VolumeSlider',0,'Phonon::VolumeSlider::VolumeSlider(QWidget *parent)'],['http://qt-project.org/doc/qt-4.8/phonon-volumeslider.html#VolumeSlider-2',0,'Phonon::VolumeSlider::VolumeSlider(AudioOutput *output, QWidget *parent)']]],
-  ['vrpnclient',['VrpnClient',['../classflair_1_1sensor_1_1_vrpn_client.html#a692f54af97f509bd8ecf8d27d759101d',1,'flair::sensor::VrpnClient::VrpnClient(const core::FrameworkManager *parent, std::string name, std::string address, uint16_t us_period, uint8_t priority)'],['../classflair_1_1sensor_1_1_vrpn_client.html#a4713769cce926d08978fb8bdb990e641',1,'flair::sensor::VrpnClient::VrpnClient(const core::FrameworkManager *parent, std::string name, core::SerialPort *serialport, uint16_t us_period, uint8_t priority)']]],
-  ['vrpnobject',['VrpnObject',['../classflair_1_1sensor_1_1_vrpn_object.html#aa5bbb98011e31146b7d32b5d838ef0ef',1,'flair::sensor::VrpnObject::VrpnObject(const VrpnClient *parent, std::string name, const gui::TabWidget *tab)'],['../classflair_1_1sensor_1_1_vrpn_object.html#aadf565240a19bda520271897b63ab469',1,'flair::sensor::VrpnObject::VrpnObject(const VrpnClient *parent, std::string name, uint8_t id, const gui::TabWidget *tab)']]],
+  ['vrpnclient',['VrpnClient',['../classflair_1_1sensor_1_1_vrpn_client.html#a370c45f429eda66c39c1cec13f2dcde3',1,'flair::sensor::VrpnClient::VrpnClient(std::string name, std::string address, uint16_t us_period, uint8_t priority)'],['../classflair_1_1sensor_1_1_vrpn_client.html#a1d5462b08d2aff8ddc05b564158f4fff',1,'flair::sensor::VrpnClient::VrpnClient(std::string name, core::SerialPort *serialport, uint16_t us_period, uint8_t priority)']]],
+  ['vrpnobject',['VrpnObject',['../classflair_1_1sensor_1_1_vrpn_object.html#ae63bc389dc7a4eb878d07cb71eb7d710',1,'flair::sensor::VrpnObject::VrpnObject(std::string name, const gui::TabWidget *tab)'],['../classflair_1_1sensor_1_1_vrpn_object.html#a18c54c8e2e297647fc2ffdebc2835c2f',1,'flair::sensor::VrpnObject::VrpnObject(std::string name, uint8_t id, const gui::TabWidget *tab)']]],
   ['vscrollbarmode',['vScrollBarMode',['http://qt-project.org/doc/qt-4.8/q3scrollview.html#vScrollBarMode-prop',0,'Q3ScrollView']]],
   ['vsprintf',['vsprintf',['http://qt-project.org/doc/qt-4.8/qstring.html#vsprintf',0,'QString']]]
Index: trunk/doc/Flair/search/functions_6.js
===================================================================
--- trunk/doc/Flair/search/functions_6.js	(revision 44)
+++ trunk/doc/Flair/search/functions_6.js	(revision 47)
@@ -68,4 +68,5 @@
   ['getlocation',['getLocation',['http://qt-project.org/doc/qt-4.8/q3mainwindow.html#getLocation',0,'Q3MainWindow']]],
   ['getlogarithm',['GetLogarithm',['../classflair_1_1core_1_1_quaternion.html#a8ddb69a52a35d36146fee38efb6336d2',1,'flair::core::Quaternion::GetLogarithm(Vector3D &amp;logarithm)'],['../classflair_1_1core_1_1_quaternion.html#a6a9b3279a79620aea9a3f9ab67eec245',1,'flair::core::Quaternion::GetLogarithm(void)']]],
+  ['getlogpath',['GetLogPath',['../classflair_1_1core_1_1_framework_manager.html#a4e7363801f1df89e51fd9c173e196673',1,'flair::core::FrameworkManager']]],
   ['getmarkedregion',['getMarkedRegion',['http://qt-project.org/doc/qt-4.8/q3multilineedit.html#getMarkedRegion',0,'Q3MultiLineEdit']]],
   ['getmutex',['GetMutex',['../classflair_1_1gui_1_1_box.html#a72d33c20718419d566e198840318e22f',1,'flair::gui::Box::GetMutex()'],['../classflair_1_1core_1_1_mutex.html#a225fbd364b794d698b1c7d8c6962492b',1,'flair::core::Mutex::GetMutex()']]],
@@ -107,6 +108,8 @@
   ['gettextmargins',['getTextMargins',['http://qt-project.org/doc/qt-4.8/qlineedit.html#getTextMargins',0,'QLineEdit']]],
   ['gettime',['GetTime',['../namespaceflair_1_1core.html#a63b4b9f532f414a0e0023acaf81f845e',1,'flair::core']]],
+  ['getuav',['GetUav',['../namespaceflair_1_1meta.html#a25c35970b8786dd95240a48119065b69',1,'flair::meta']]],
   ['getvelocity',['GetVelocity',['../classflair_1_1core_1_1_gps_data.html#ad1a9ba4c575e7b9e24a9b9f0e68a61c5',1,'flair::core::GpsData']]],
   ['getvoltage',['GetVoltage',['../classflair_1_1sensor_1_1_battery_monitor.html#aaa0c9ae84cba9a3724f1c35ac61791f2',1,'flair::sensor::BatteryMonitor']]],
+  ['getvrpnclient',['GetVrpnClient',['../namespaceflair_1_1sensor.html#a96c531aa24e6dd95ac9dc400d8e52b2c',1,'flair::sensor']]],
   ['getwidgetposition',['getWidgetPosition',['http://qt-project.org/doc/qt-4.8/qformlayout.html#getWidgetPosition',0,'QFormLayout']]],
   ['getwindowframemargins',['getWindowFrameMargins',['http://qt-project.org/doc/qt-4.8/qgraphicswidget.html#getWindowFrameMargins',0,'QGraphicsWidget']]],
@@ -221,5 +224,5 @@
   ['glyphindexesforchars',['glyphIndexesForChars',['http://qt-project.org/doc/qt-4.8/qrawfont.html#glyphIndexesForChars',0,'QRawFont']]],
   ['glyphindexesforstring',['glyphIndexesForString',['http://qt-project.org/doc/qt-4.8/qrawfont.html#glyphIndexesForString',0,'QRawFont']]],
-  ['glyphmetrics',['GlyphMetrics',['http://qt-project.org/doc/qt-4.8/qabstractfontengine-glyphmetrics.html#GlyphMetrics',0,'QAbstractFontEngine::GlyphMetrics::GlyphMetrics()'],['http://qt-project.org/doc/qt-4.8/qabstractfontengine.html#glyphMetrics',0,'QAbstractFontEngine::glyphMetrics()']]],
+  ['glyphmetrics',['glyphMetrics',['http://qt-project.org/doc/qt-4.8/qabstractfontengine.html#glyphMetrics',0,'QAbstractFontEngine::glyphMetrics()'],['http://qt-project.org/doc/qt-4.8/qabstractfontengine-glyphmetrics.html#GlyphMetrics',0,'QAbstractFontEngine::GlyphMetrics::GlyphMetrics()']]],
   ['glyphruns',['glyphRuns',['http://qt-project.org/doc/qt-4.8/qtextfragment.html#glyphRuns',0,'QTextFragment::glyphRuns()'],['http://qt-project.org/doc/qt-4.8/qtextlayout.html#glyphRuns',0,'QTextLayout::glyphRuns()']]],
   ['gotfocus',['gotFocus',['http://qt-project.org/doc/qt-4.8/qfocusevent.html#gotFocus',0,'QFocusEvent']]],
Index: trunk/doc/Flair/search/functions_8.js
===================================================================
--- trunk/doc/Flair/search/functions_8.js	(revision 44)
+++ trunk/doc/Flair/search/functions_8.js	(revision 47)
@@ -541,5 +541,5 @@
   ['isrowstretchable',['isRowStretchable',['http://qt-project.org/doc/qt-4.8/q3table.html#isRowStretchable',0,'Q3Table']]],
   ['isrubberselecting',['isRubberSelecting',['http://qt-project.org/doc/qt-4.8/q3listbox.html#isRubberSelecting',0,'Q3ListBox']]],
-  ['isrunning',['IsRunning',['../classflair_1_1filter_1_1_trajectory_generator1_d.html#a1bae2d6c79641e21fba1c6c02424f7a2',1,'flair::filter::TrajectoryGenerator1D::IsRunning()'],['../classflair_1_1filter_1_1_trajectory_generator2_d_circle.html#aed8b6a1585bfdb6e65dcf7324a05f9e8',1,'flair::filter::TrajectoryGenerator2DCircle::IsRunning()'],['http://qt-project.org/doc/qt-4.8/qfuturewatcher.html#isRunning',0,'QFutureWatcher::isRunning()'],['http://qt-project.org/doc/qt-4.8/qfuture.html#isRunning',0,'QFuture::isRunning()'],['http://qt-project.org/doc/qt-4.8/qeventloop.html#isRunning',0,'QEventLoop::isRunning()'],['http://qt-project.org/doc/qt-4.8/q3process.html#isRunning',0,'Q3Process::isRunning()'],['http://qt-project.org/doc/qt-4.8/qstatemachine.html#isRunning',0,'QStateMachine::isRunning()'],['http://qt-project.org/doc/qt-4.8/qthread.html#isRunning',0,'QThread::isRunning()'],['http://qt-project.org/doc/qt-4.8/qnetworkreply.html#isRunning',0,'QNetworkReply::isRunning()']]],
+  ['isrunning',['isRunning',['http://qt-project.org/doc/qt-4.8/qfuturewatcher.html#isRunning',0,'QFutureWatcher::isRunning()'],['http://qt-project.org/doc/qt-4.8/qfuture.html#isRunning',0,'QFuture::isRunning()'],['http://qt-project.org/doc/qt-4.8/qeventloop.html#isRunning',0,'QEventLoop::isRunning()'],['http://qt-project.org/doc/qt-4.8/q3process.html#isRunning',0,'Q3Process::isRunning()'],['http://qt-project.org/doc/qt-4.8/qstatemachine.html#isRunning',0,'QStateMachine::isRunning()'],['http://qt-project.org/doc/qt-4.8/qthread.html#isRunning',0,'QThread::isRunning()'],['http://qt-project.org/doc/qt-4.8/qnetworkreply.html#isRunning',0,'QNetworkReply::isRunning()'],['../classflair_1_1filter_1_1_trajectory_generator1_d.html#a1bae2d6c79641e21fba1c6c02424f7a2',1,'flair::filter::TrajectoryGenerator1D::IsRunning()'],['../classflair_1_1filter_1_1_trajectory_generator2_d_circle.html#aed8b6a1585bfdb6e65dcf7324a05f9e8',1,'flair::filter::TrajectoryGenerator2DCircle::IsRunning()']]],
   ['isscalable',['isScalable',['http://qt-project.org/doc/qt-4.8/qfontdatabase.html#isScalable',0,'QFontDatabase']]],
   ['isscaling',['isScaling',['http://qt-project.org/doc/qt-4.8/qtransform.html#isScaling',0,'QTransform']]],
Index: trunk/doc/Flair/search/functions_e.js
===================================================================
--- trunk/doc/Flair/search/functions_e.js	(revision 44)
+++ trunk/doc/Flair/search/functions_e.js	(revision 47)
@@ -6,5 +6,5 @@
   ['objectindex',['objectIndex',['http://qt-project.org/doc/qt-4.8/qtextobject.html#objectIndex',0,'QTextObject::objectIndex()'],['http://qt-project.org/doc/qt-4.8/qtextformat.html#objectIndex',0,'QTextFormat::objectIndex()']]],
   ['objectinspector',['objectInspector',['http://qt-project.org/doc/qt-4.8/qdesignerformeditorinterface.html#objectInspector',0,'QDesignerFormEditorInterface']]],
-  ['objectname',['objectName',['http://qt-project.org/doc/qt-4.8/qobject.html#objectName-prop',0,'QObject::objectName()'],['../classflair_1_1core_1_1_object.html#a9b0344dff7e1c05424d9152c8274523a',1,'flair::core::Object::ObjectName()']]],
+  ['objectname',['ObjectName',['../classflair_1_1core_1_1_object.html#a9b0344dff7e1c05424d9152c8274523a',1,'flair::core::Object::ObjectName()'],['http://qt-project.org/doc/qt-4.8/qobject.html#objectName-prop',0,'QObject::objectName()']]],
   ['objectownership',['objectOwnership',['http://qt-project.org/doc/qt-4.8/qdeclarativeengine.html#objectOwnership',0,'QDeclarativeEngine']]],
   ['objectregisteredat',['objectRegisteredAt',['http://qt-project.org/doc/qt-4.8/qdbusconnection.html#objectRegisteredAt',0,'QDBusConnection']]],
